/*
 * Copyright (c) 2017, 2020 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package servlet.tck.api.jakarta_servlet_http.httpservletrequest40;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;

import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public class TrailerTestServlet extends HttpServlet {

  @Override
  protected void doPost(HttpServletRequest req, HttpServletResponse resp)
      throws ServletException, IOException {
    InputStream in = req.getInputStream();
    int i = 0;
    ByteArrayOutputStream out = new ByteArrayOutputStream();
    while ((i = in.read()) != -1) {
      out.write(i);
    }

    PrintWriter writer = new PrintWriter(resp.getWriter());

    writer.write("Chunk Data: " + new String(out.toByteArray()));
    writer.println();
    writer.write("isTrailerFieldsReady: " + req.isTrailerFieldsReady());
    writer.println();
    writer.write("Trailer: " + req.getTrailerFields().toString());
    writer.flush();
  }
}
