/*
 * Copyright (c) 2007, 2020 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

/*
 * $URL$ $LastChangedDate$
 */

package servlet.tck.spec.errorpage;

import java.io.IOException;

import servlet.tck.common.servlets.HttpTCKServlet;

import jakarta.servlet.ServletConfig;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public class TestServlet extends HttpTCKServlet {

  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void destroy() {
    super.destroy();
  }

  // ------------------------------------------------- Test Methods

  public void htmlErrorPageTest(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IllegalAccessException {
    throw new IllegalAccessException("error page invoked");
  }

  public void servletErrorPageTest(HttpServletRequest req,
      HttpServletResponse res) throws ServletException, InstantiationException {
    throw new IllegalStateException("error page invoked");
  }

  public void statusCodeErrorPageTest(HttpServletRequest req,
      HttpServletResponse res) throws ServletException, IOException {
    res.sendError(HttpServletResponse.SC_NOT_IMPLEMENTED, "error page invoked");
  }

  public void heirarchyErrorMatchTest(HttpServletRequest req,
      HttpServletResponse res)
      throws ServletException, IllegalThreadStateException {
    throw new IllegalThreadStateException("error page invoked");
  }

}// ErrorPageTestServlet
